Doomsday Engine - Bug #1108

Infine corruption during first tic
2013-01-10 14:25 - vermil

Status: Closed Start date: 2013-01-10
Priority: Low % Done: 100%
Assignee: skyjake

Category:

Target version: 1.10

Description

Attempting to do anything in the first tic of an infine script causes corruption of all following infine.

Labels: InFine, Textures, Sound Effects

History

#1 - 2013-01-10 19:35 - vermil

I meant to say, if the infine def is loading graphics that have external patches in the actual Dday folder
#2 - 2013-01-10 20:23 - vermil
Indeed, there is evidence that this issue with loading out of the patch folder isn't Infine specific.

Once it goes wrong, it seems to stop loading anything out of the patch folder in the Dday folder until you start a new game, at which point patch
loading appears to resume again until the same points it stopped loading in the previous game.

#3 - 2013-01-10 20:24 - skyjake

- labels: Infine first tic --> InFine, Textures
- priority: 1 --> 3

#4 - 2013-01-11 00:21 - skyjake

- labels: InFine, Textures --> InFine, Textures, Sound Effects

#5 - 2013-01-28 16:18 - skyjake

- status: open --> fixed
- assigned_to: Jaakko Keranen

#6 - 2013-01-28 16:19 - skyjake

This issue should now be resolved because the first tic of InFine scripts is no longer getting special treatment. Instead, if a map begins with an InFine
script, time starts normally without pausing for the busy transition animation.

#7 - 2013-03-29 11:38 - skyjake

causes corruption of all following infine

What do you mean by "corruption"? Visual or behavioral?

Please attach an example script so it is easier to diagnose the issue.

#8 - 2013-09-22 05:45 - vermil

Further analysis reveals two small separate issues.

1. Sound effects set to play in the first tic of an infine def don't play. Music, graphics and text appear to be unaffected.

2. If the infine def is loading external patches from the patches folder in the actual Dday folder (i.e not from within a PK3), it will stop loading them

after a certain point; it seems to vary based on what other resources are loaded (though if the same resources are loaded, it always stops at the same
point in the infine.
